CVE-2011-1044

LOW

Description

The ib_uverbs_poll_cq function in drivers/infiniband/core/uverbs_cmd.c in the Linux kernel before 2.6.37 does not initialize a certain response buffer, which allows local users to obtain potentially sensitive information from kernel memory via vectors that cause this buffer to be only partially filled, a different vulnerability than CVE-2010-4649.

References

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=7182afea8d1afd432a17c18162cc3fd441d0da93

http://rhn.redhat.com/errata/RHSA-2011-0927.html

http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.37

http://www.securityfocus.com/bid/46488

https://bugzilla.redhat.com/show_bug.cgi?id=667916

https://exchange.xforce.ibmcloud.com/vulnerabilities/65563

Details

Source: MITRE

Published: 2011-02-18

Updated: 2017-08-17

Type: CWE-119

Risk Information

CVSS v2.0

Base Score: 1.9

Vector: (AV:L/AC:M/Au:N/C:P/I:N/A:N)

Impact Score: 2.9

Exploitability Score: 3.4

Severity: LOW